;InnoSetupVersion=1.3.25

[Setup]
AppName=CD Post
AppVerName=CD Post 1.0 Beta
AppId=CD Post
AppVersion=0.10 Beta
AppPublisher="CDPost.COM, Inc"
AppPublisherURL=http://www.cdpost.com
AppSupportURL=http://www.cdpost.com
AppUpdatesURL=http://www.cdpost.com
DefaultDirName={pf}\CDPost
DefaultGroupName=CD Post
OutputBaseFilename=setup
Compression=zip
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\CDPost.exe"; DestDir: "{app}"; Flags: restartreplace 
Source: "{app}\License.txt"; DestDir: "{app}"; Flags: restartreplace 
Source: "{app}\ClickMon.dll"; DestDir: "{app}"; Flags: restartreplace 
Source: "{app}\cdpcontext.htm"; DestDir: "{app}"; Flags: restartreplace 
Source: "{app}\Context.dll"; DestDir: "{app}"; Flags: restartreplace regserver 

[Registry]
Root: HKCU; Subkey: "Software\CDPost"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\MenuExt\Download with CDPost"; ValueType: String; ValueData: "{app}\cdpcontext.htm"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\MenuExt\Download With CDPost"; ValueName: "contexts"; ValueType: Dword; ValueData: "$22"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Netscape\Netscape Navigator\Automation Protocols"; ValueName: "http"; ValueType: String; ValueData: "CDPost.ClickMonitor"; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "Software\Netscape\Netscape Navigator\Automation Protocols"; ValueName: "ftp"; ValueType: String; ValueData: "CDPost.ClickMonitor"; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "PROTOCOLS\Name-Space Handler\http\CDPost.ClickMonitor"; Flags: uninsdeletekey dontcreatekey 
Root: HKCU; Subkey: "PROTOCOLS\Name-Space Handler\ftp\CDPost.ClickMonitor"; Flags: uninsdeletekey dontcreatekey 
Root: HKCR; Subkey: "PROTOCOLS\Name-Space Handler\http\CDPost.ClickMonitor"; Flags: uninsdeletekey dontcreatekey 
Root: HKCR; Subkey: "PROTOCOLS\Name-Space Handler\ftp\CDPost.ClickMonitor"; Flags: uninsdeletekey dontcreatekey 
Root: HKCR; Subkey: "CDPost.ClickMonitor"; Flags: uninsdeletekey noerror dontcreatekey 
Root: HKCR; Subkey: "CDPost.Layout"; Flags: uninsdeletekey noerror dontcreatekey 
Root: HKCR; Subkey: "CLSID\{{72CFF424-B60D-11D3-8934-00105A1C3F66}"; Flags: uninsdeletekey noerror dontcreatekey 
Root: HKLM; Subkey: "CDPost.ClickMonitor"; Flags: uninsdeletekey noerror dontcreatekey 
Root: HKLM; Subkey: "CDPost.Layout"; Flags: uninsdeletekey noerror dontcreatekey 
Root: HKLM; Subkey: "CLSID\{{72CFF424-B60D-11D3-8934-00105A1C3F66}"; Flags: uninsdeletekey noerror dontcreatekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\CDPost.exe"; Flags: uninsdeletekey noerror dontcreatekey 
Root: HKCR; Subkey: ".CDP"; ValueType: String; ValueData: "CDPost.Layout"; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".CDP"; ValueName: "Content Type"; ValueType: String; ValueData: "application/cdpost-layout"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CDPost.Layout\DefaultIcon"; ValueType: String; ValueData: "{app}\CDPost.exe,2"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CDPost.Layout\shell\open\command"; ValueType: String; ValueData: "{app}\CDPost.exe %1"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\TimeSink, Inc.\AdGateway\Channels\CD Post"; ValueName: "ChannelID"; ValueType: Binary; ValueData: "08 43 44 20 50 6F 73 74 00 00 00 44 07 64 70 3F 1C 07 17 07 09 0C 0A 0E 17 31 07 64 70 3F 1C 07 74"; Flags: uninsdeletekey 

[Run]
Filename: "{app}\CDPost.exe"; Parameters: "/SETUP {srcexe}"; 

[Icons]
Name: "{userdesktop}\CD Post"; Filename: "{app}\CDPost.exe"; 
Name: "{group}\CD Post"; Filename: "{app}\CDPost.exe"; 
Name: "{group}\License"; Filename: "{app}\License.txt"; 

[UninstallDelete]
Type: files; Name: "{app}\Layout.dat"; 
Type: files; Name: "{app}\clickmon.dll"; 
Type: files; Name: "{app}\cdpcontext.htm"; 
Type: files; Name: "{app}\contex.dll"; 
